Bug 71150 - startup script for standalone application assumes /usr/ucb/echo
startup script for standalone application assumes /usr/ucb/echo
Status: VERIFIED FIXED
Product: apisupport
Classification: Unclassified
Component: Harness
5.x
Sun Solaris
: P1 (vote)
: 5.x
Assigned To: Jesse Glick
issues@apisupport
: SIMPLEFIX
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-09 01:58 UTC by Masaki Katakai
Modified: 2006-01-11 09:32 UTC (History)
3 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
Possible patch (untested by me) (661 bytes, patch)
2006-01-09 19:14 UTC, Jesse Glick
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Masaki Katakai 2006-01-09 01:58:44 UTC
1. Create FeedReader app from New Project
2. Create distribution zip
3. unzip
4. try to start bin/feedreader

readClusters() {
  sep=""
  while read X; do
    echo -n $sep
    echo -n "$progdir/../$X"
    sep=":"
  done
}

"echo -n" doesn't work in /usr/bin/echo on Solaris, so the script just started
netbeans platform without feedreader module. We need to set PATH for /usr/ucb
before /usr/bin. It's not good.
Comment 1 Jesse Glick 2006-01-09 19:08:35 UTC
Did no one ever test app creation on Solaris before?? This should have been
reported a week ago at the latest...

If true this is grave. Reporter, please try the attached patch and tell me if it
helps.
Comment 2 Jesse Glick 2006-01-09 19:14:06 UTC
Created attachment 28320 [details]
Possible patch (untested by me)
Comment 3 Masaki Katakai 2006-01-10 04:40:30 UTC
I verified. The patch works for me and it looks good.
Comment 4 pzajac 2006-01-10 10:42:49 UTC
I tested apisupport on solaris 10 and Tomas tested it on solaris 9. Probably we
forgot to test this scenario. 
Comment 5 pzajac 2006-01-10 12:47:36 UTC
The patch also works for me.
Comment 6 Jesse Glick 2006-01-10 15:04:09 UTC
Honza let me know if I should ask to merge this. Seems to be harmless on Linux
at least for me.

committed     Up-To-Date  1.6         apisupport/harness/release/launchers/app.sh
Comment 7 pzajac 2006-01-10 15:12:17 UTC
I also tested the script on Linux and MacOS X. It looks find.  
Comment 8 Jan Chalupa 2006-01-10 15:40:16 UTC
Yes, please. Ask and integrate asap. RC1 re-build is scheduled for tonight CET.
Comment 9 Jesse Glick 2006-01-10 16:31:37 UTC
I posted a review request but please let me know what the deadline (UTC) is for
actual integration of the merge.
Comment 10 Jesse Glick 2006-01-10 16:39:37 UTC
Oops, just saw your message... BTW if you want me to read something quickly, do
not include "Issue #" in the subject header. :-)
Comment 11 Jan Chalupa 2006-01-10 16:49:02 UTC
The build is scheduled for today, 7pm UTC. Thanks.
Comment 12 Jesse Glick 2006-01-10 18:38:20 UTC
Checking in apisupport/harness/release/launchers/app.sh;
/cvs/apisupport/harness/release/launchers/app.sh,v  <--  app.sh
new revision: 1.5.8.1; previous revision: 1.5
done
Comment 13 pzajac 2006-01-11 09:32:59 UTC
Verified in release50 branch.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo